Bug Hunting Session
Bug 69220 - crash on open .doc file
Summary: crash on open .doc file
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.2 target:4.0.6
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-09-11 11:26 UTC by Alexxis
Modified: 2013-10-07 09:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
fatal file (110.00 KB, application/msword)
2013-09-11 11:26 UTC, Alexxis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexxis 2013-09-11 11:26:41 UTC
Created attachment 85622 [details]
fatal file

when open file all libreoffice processes are terminated
microsoft word version 2003 and 2007 open it normally

problem is in header - if i delete it everything is good

may be there is some violation of word format, but i think swriter must do something more usefull than just silently crash
Comment 1 sophie 2013-09-11 11:40:46 UTC
It opens fine under linux64 with Version: 4.1.2.1
Build ID: bf15ac65c2167fb1ef3daf3710609d4a4c369a9

In the header the picture is covering the table, only the first row is visible behind. I leave it as unconfirmed, it can be a windows specific issue or corrected in 4.1.2 Sophie
Comment 2 Alexxis 2013-09-11 12:09:56 UTC
(In reply to comment #1)
> It opens fine under linux64 with Version: 4.1.2.1
> Build ID: bf15ac65c2167fb1ef3daf3710609d4a4c369a9
> 
> In the header the picture is covering the table, only the first row is
> visible behind. I leave it as unconfirmed, it can be a windows specific
> issue or corrected in 4.1.2 Sophie

is it possible to get 4.1.2 for windows to test?
can not find it in downloads
Comment 3 sophie 2013-09-11 13:35:56 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > It opens fine under linux64 with Version: 4.1.2.1
> > Build ID: bf15ac65c2167fb1ef3daf3710609d4a4c369a9
> > 
> > In the header the picture is covering the table, only the first row is
> > visible behind. I leave it as unconfirmed, it can be a windows specific
> > issue or corrected in 4.1.2 Sophie
> 
> is it possible to get 4.1.2 for windows to test?
> can not find it in downloads

You'll find it here, it's still the RC1, so not yet a production version. Sophie
Comment 4 sophie 2013-09-11 13:36:43 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > It opens fine under linux64 with Version: 4.1.2.1
> > > Build ID: bf15ac65c2167fb1ef3daf3710609d4a4c369a9
> > > 
> > > In the header the picture is covering the table, only the first row is
> > > visible behind. I leave it as unconfirmed, it can be a windows specific
> > > issue or corrected in 4.1.2 Sophie
> > 
> > is it possible to get 4.1.2 for windows to test?
> > can not find it in downloads
> 
> You'll find it here, it's still the RC1, so not yet a production version.
> Sophie
oups, forgot the link sorry http://ftp5.gwdg.de/pub/tdf/libreoffice/testing/4.1.2/
Comment 5 tommy27 2013-09-11 15:19:53 UTC
confirmed in LibO 4.1.1.2 under WinXP 32bit.
setting status to NEW.
Comment 6 Julien Nabet 2013-09-11 19:05:52 UTC
Comment on attachment 85622 [details]
fatal file

Mimetype fixed
Comment 7 Julien Nabet 2013-09-11 19:12:41 UTC
On pc Debian x86-64 with 4.1 sources updated some days ago and with master sources updated today, both with a brand new LO profile, I reproduced what Sophie got.
Here are some console logs:
warn:legacy.osl:6122:1:sot/source/sdstor/stgdir.cxx:419: Trying to resize readonly stream by seeking, could be a wrong offset!
warn:legacy.osl:6122:1:sw/source/filter/ww8/ww8scan.cxx:1237: AktPieceStartFc2Cp() - error
warn:legacy.osl:6122:1:sw/source/filter/ww8/ww8scan.cxx:1237: AktPieceStartFc2Cp() - error
warn:legacy.osl:6122:1:sw/source/filter/ww8/ww8scan.cxx:1237: AktPieceStartFc2Cp() - error
Comment 8 tommy27 2013-09-11 19:23:27 UTC
doesn't crash in 3.6.7. it crashes in 4.0.4.
changed version and added REGRESSION keyword
Comment 9 Alexxis 2013-09-12 02:33:05 UTC
tested 4.1.2 windows 7 32bit version - same crash
Comment 10 Commit Notification 2013-09-18 09:30:23 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e93541d00f9d4aaa6ad2aeb35ee0c901d216cc0

Resolves: fdo#69220 crash in doc (ww6)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2013-09-18 09:33:28 UTC
proposed in gerrit for 4-1-2 and 4-0
Comment 12 Commit Notification 2013-09-19 15:51:44 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e0676734319ad62d1ee2d762fa3f5de71ee9a02&h=libreoffice-4-1

Resolves: fdo#69220 crash in doc (ww6)


It will be available in LibreOffice 4.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2013-09-19 19:33:32 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9471b1704f64a0c08f76ad8d88eff58be7ed414a&h=libreoffice-4-0

Resolves: fdo#69220 crash in doc (ww6)


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Alexxis 2013-09-20 03:10:45 UTC
installed this -
http://dev-builds.libreoffice.org/daily/libreoffice-4-1/Win-x86_9-Voreppe/2013-09-19_04.13.22/libreoffice-4-1~2013-09-19_04.13.22_LibreOfficeDev_4.1.3.0.0_Win_x86.msi

same crash on open :(
windows 7 x32 with latest updates

or this build does not contain patch?
Comment 15 Julien Nabet 2013-09-20 05:25:12 UTC
Alexxis: "The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours". So today or tomorrow I think. Now perhaps I'm wrong.
Comment 16 Commit Notification 2013-09-25 14:28:28 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b8662de23b354f36a4ca48f2c36b7da5d2bc7ea&h=libreoffice-4-1-2

Resolves: fdo#69220 crash in doc (ww6)


It will be available already in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 Alexxis 2013-10-07 09:08:44 UTC
4.1.2.3 - working fine :)